Subject: bug#1158: 23.0.60; vc mode not working under newest Emacs.app

From: Nick Roberts <[email-masked]>
Date: Tue, 14 Oct 2008 23:35:40 +1300

[Please keep [email-masked] as a recipient as others might
resolve this issue and so that it can be closed when appropriate]

Neo Lee writes:
 > Hi Nick,
 > 
 > Thanks for your response.
 > 
 > On Tue, Oct 14, 2008 at 3:48 PM, Nick Roberts <[email-masked]> wrote:
 > 
 > >
 > > Have you read the node in the Emacs manual about bug reporting?
 > >
 > > In particular what happens if you don't load your .emacs, i.e., start Emacs
 > > with "-q"?
 > >
 > 
 > Sure I have. At very first time I noticed that issue I tried to remove my
 > .emacs, started a clean Emacs.app instance, and meet exactly the same
 > situation that I described in my last email. If any possibility of other
 > mods causing this issue, I would not ask here :) For your convenience I
 > attached the standard debug info on this fresh environment at the end of
 > this email.

We use this information to analyse the bug.  If it tells us that CEDET and
ECB have been loaded then we presume that may be a factor.

 > Since everything is OK in my emacs 22.2, I guess that it has something to do
 > with either emacs 23 or Emacs.app. If somebody has similar issue on emacs
 > 23, it will be some bug in the beta code. If not (people using Emacs.app are
 > not as many as the ones using emacs 23), maybe there's some trick in
 > Emacs.app (the Mac OS X Cocoa port), e.g. some path configuration hacking?

vc-mode works for me on Mac OS X for SVN.  However, I've not used MacPorts
but checked the code out from the repository at Savannah and just built with
"configure --with-ns".

-- 
Nick                                           http://www.inet.net.nz/~nickrob